Skip to main content
POST
Create associations

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The unique identifier of the app where the association is to be created.

objectType
string
required

The type of object for which the association is being created.

Body

application/json
fromObjectTypeId
string
required

The unique identifier for the object type from which the association originates.

toObjectTypeId
string
required

The unique identifier for the object type to which the association is directed.

name
string

The name of the association, used to identify and reference the relationship.

Response

successful operation

The definition of an association

fromObjectTypeId
string
required

The unique identifier of the object type from which the association originates.

id
string
required

The unique identifier for this association definition.

toObjectTypeId
string
required

The unique identifier of the object type to which the association points.

createdAt
string<date-time>

The date and time when this association definition was created, in ISO 8601 format.

name
string

The name of the association, which serves as a human-readable identifier.

updatedAt
string<date-time>

The date and time when this association definition was last updated, in ISO 8601 format.

Last modified on September 9, 2026